<!doctype html>
<html lang="en">


	<head>
		<meta charset="utf-8">
			
			<title>Between corpora, tools and authority files: TextGrid Repository for Hispanic Studies</title>
			
			<meta name="description" content="Between corpora, tools and authority files: TextGrid Repository for Hispanic Studies">
			<meta name="author" content="Dr. José Calvo Tello">

			<meta name="apple-mobile-web-app-capable" content="yes">
			<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
			
			<meta name="viewport" content="width=device-width, initial-scale=1.0">
			
			<link rel="stylesheet" href="../../lib/reveal/dist/reset.css">
			<link rel="stylesheet" href="../../lib/reveal/dist/reveal.css">
			<link rel="stylesheet" href="../../lib/reveal/dist/theme/white.css" id="theme">
			<link rel="stylesheet" href="custom.css">
			
			<!-- Theme used for syntax highlighting of code --> 	
			<link rel="stylesheet" href="../../lib/reveal/plugin/highlight/monokai.css" id="highlight-theme">
	</head>

	<body>

        <div class="reveal">
            <div class="slides">
              
				<section data-markdown="" data-separator="^\n---\n" data-separator-vertical="^\n--\n" data-charset="utf-8">
					<script type="text/template">
<!-- .slide: class="firstSlide" -->

## Between corpora, tools and authority files: TextGrid Repository for Hispanic Studies

<br />

## Hispanistentag 2023, Graz
### 24.02.2023

<hr />

#### José Calvo Tello<sup>1</sup>, Stefan Funk<sup>1</sup>, Daniel Kurzawe<sup>1</sup>, Nanette Rißler-Pipka<sup>2</sup>, Ubbo Veentjer<sup>1</sup>
##### SUB Göttingen (1), GWDG(2)


---

# DH: not so new field

--

# Challenges for Spanish Literature
- few corpora, which are <!--jk: vielleicht alles in eine Zeile?-->
	- quality
	- structured
	- open
	- and annotated with metadata

--

# We need more better resources!

--


![](https://pad.gwdg.de/uploads/5eb24217-da42-44a0-8194-d5334d69f768.jpg)

<!--jk: das Meme ist großartig-->

--

# We need to organise our resources differently!

--

## Recently, DH projects are facing new kinds of challenges…


--

# Researchers are human too
* Projects end
* Researchers lose interest
* Get better jobs
* Have kids
* Retire
* Die
* ...

--

# What is going to happen with our data...
## in 5 years?
### in 10 years?
#### in 50 years?
##### in 100 years?

--

- No single project can cover all DH needs and possible developments
	- FAIR
	- CARE
	- LOD
	- Smart
	- Open
	- Deep
	- ...

--


# Changing the way projects are organised
- From a single project perspective
- To a distributed project perspective

--

## Single project perspective
* A single project does it all
* Data collection, analysis, publishing (own website), transformation, programming, maintenance...
* <del>Sustainable</del>

--

# Distributed projects perspective
* Community
* Standards, openness
* FAIR (Findable, Accesible, Interoperable, Reusable; Wilkinson et al. 2016)
* Integration
* Advantage: We do not have to take care of everything
* Disadvantage: My very-specific-feature does not shine as expected

---

# TextGrid

--

# TextGrid

- TextGrid project (2005-2015)
- DARIAH-DE (2011-2019)
- CLARIAH-DE (2019-2021)
- Text+ (from Oct. 2021) 

--

# TextGrid
- TextGrid Laboratory (TGL)
- **TextGrid Repository (TGR)**
- Community
- (Heike Neuroth, Andrea Rapp, and Sibylle Söring 2015)

--

![](https://pad.gwdg.de/uploads/2690f369-28d7-42f3-8851-efa3034d14f4.png)


--

# Features of the TextGrid Repository
- <del>Repository for publications (articles, pre-prints)</del>
- Repository for research data
	- Editions and (literary) corpora
- TEI XML
- (Funk and Pempe 2015)
- *Digitale Bibliothek*: \> 100.000 literary texts in German (a.o. translated texts) (Betz 2015)
- Core Trust Seal

--

>"TextGrid will be gone in a some, probably few, years. And that is a good thing."

<!--
> "TextGrid wird in einigen, wahrscheinlich wenigen Jahren verschwunden sein. Und das ist gut so."
-->
Jannidis in Wegstein, Rapp, and Jannidis (2015, p. 33)


---

# Text+

--

# Text+

- NFDI: National Research Data Infrastructure
- For all fields
- FAIR criteria (Wilkinson et al. 2016)
- Ecosystem of distributed resources
- Integration of already existing resources
- Lexical resources, editions, **collections** and infrastructure / operations
- (Hinrichs et al. 2022; Kett et al. 2022; Rißler-Pipka et al. 2021)

--


# Text+ applicant institutions
- Leibniz Institute for the German Language, Mannheim
- German National Library
- Göttingen State and University Library
- Berlin Brandenburg Academy of Sciences and Humanities
- North Rhine Westphalian Academy of Sciences, Humanities and the Arts

--

# Alternatives for publishing TEI XML documents

- Generalist repositories
	- GitHub / GitLab
	- Zenodo
	- Institutional repositories (DSpace and Fedora Commons)
		- *e-ciencia: Repositorio de Datos del Consorcio Madroño*: https://edatos.consorciomadrono.es/

--
# Alternatives for publishing TEI XML documents

* XML-specific solutions
	- **Gams**: https://gams.uni-graz.at/
	- Deutsches Textarchiv (DTA) Erweiterungen: https://www.deutschestextarchiv.de/
	- Tapas: https://tapasproject.org/
	- DraCor: https://dracor.org/doc/what-is-dracor (Fischer et al. 2019b; 2019a)
	- Exist-DB: http://exist-db.org/exist/apps/homepage/index.html

--

# Advantages of TGR

* Free of charge
* Multilingual
* Provided by a library (SUB) and a computing centre (GWDG)
* Core Trust Seal certification
* Harvested by Catalogue of Catalogues (like OpenAIRE, EOSC)
* Integrated in Virtual Language Observatory and Virtual Collection Registry (CLARIN)
* XML-specific

--

# Disadvantages of TGR

* XML-specific
* Your-very-specific-feature does not shine as expected
* Complex metadata model
* Import process
* Technology and resource constraints

---

# Integration of already existing resources

--

# Integration of already existing resources

- CoNSSA
- ELTeC

--

# CoNSSA
* Novels by Spanish authors
* 1880-1939
* Original corpus: 358 prose texts
* Copyright issues
* 219 published
* TEI XML
* (Calvo Tello 2021b; 2021a)
* Annotated (catalogue metadata, literary phenomena)
* https://textgridrep.org/project/TGPR-8b44ca41-6fa1-9b49-67b7-6374d97e29eb
* Example: *La media noche*: https://hdl.handle.net/21.11113/0000-000F-774F-4 

--

# ELTeC

* European Literary Text Collection (ELTeC)
* COST Action "Distant Reading for European Literary History"
* Novels
* European languages
* 1840-1920
* 100 novels per language
* TEI XML
* (Burnard, Schöch, and Odebrecht 2021; Schöch et al. 2021)
* 14 corpora imported into TGR (beta)
* https://sandbox.dev.textgridrep.org/project/TGPR-5d9f2f27-7019-3901-1ab1-630dc237b4df

--

# Current features of TGR

- Archiving and publishing 
- Transformation
	- HTML
	- Plain text
	- ePUB (!) <!--jk: Wieso hier ein Ausrufezeichen?-->
- Persistent identifiers
- Table of Content generation
- Shelf function
- Integrated tools using standards (TEI)

--

# Current services
- Send text(s) to CLARIN Switchboard
- Send text(s) to Voyant tools
- Annotation

--

# Current posibilities

- Fulltext search
	- [Austria](https://textgridrep.org/search?query=Austria&order=relevance&limit=20&mode=list&filter=format:text%2Fxml&filter=project.id%3ATGPR-8b44ca41-6fa1-9b49-67b7-6374d97e29eb)
	- [Españ*](https://textgridrep.org/search?query=Espa%C3%B1*&order=relevance&limit=20&mode=list&filter=format:text%2Fxml&filter=project.id%3ATGPR-8b44ca41-6fa1-9b49-67b7-6374d97e29eb)
- Metadata search
	- [work.agent.id:"gnd:118641573"](https://textgridrep.org/search?query=work.agent.id%3A%22gnd%3A118641573%22&order=relevance&limit=20&mode=list&filter=format:text%2Fxml&filter=project.id%3ATGPR-8b44ca41-6fa1-9b49-67b7-6374d97e29eb)
	- [work.dateOfCreation.value:>1900 work.dateOfCreation.value:<1910](https://textgridrep.org/search?query=work.dateOfCreation.value%3A%3E1900+work.dateOfCreation.value%3A%3C1910+&order=relevance&limit=20&mode=list&filter=format:text%2Fxml&filter=project.id%3ATGPR-8b44ca41-6fa1-9b49-67b7-6374d97e29eb)
- Combination of fulltext and metadata queries
	[work.subject.id.value: authorGender AND work.subject.value: female AND work.dateOfCreation.value:>1890 AND work.dateOfCreation.value:<1900 AND Españ*](https://textgridrep.org/search?query=work.subject.id.value%3A+authorGender+AND+work.subject.value%3A+female+AND+work.dateOfCreation.value%3A%3E1890+AND+work.dateOfCreation.value%3A%3C1900+AND+Espa%C3%B1*&order=relevance&limit=20&mode=list&filter=format:text%2Fxml&filter=project.id%3ATGPR-8b44ca41-6fa1-9b49-67b7-6374d97e29eb)


--

# Current development
- Project site
- XSLT transformation
- New workflows for importing into the TextGrid repository
- LOD integration
- **Python library tgclients**: https://gitlab.gwdg.de/dariah-de/textgridrep/textgrid-python-clients
- Example: https://gitlab.gwdg.de/jose.calvotello/hispanistentag_2023_tgr

---

# Outreach

--

# Outreach

- <del>From a single project perspective</del>
- To a distributed project perspective: Standards (TEI), Open and FAIR


--

# Outreach

<img src="https://pad.gwdg.de/uploads/ed9a2b70-d1ee-4b21-8eb9-49bcb9c08754.jpg"  width="300" >


--

# Outreach

## Integration of the your corpora into **future** developments!
## in 5 years
### in 10 years
#### in 50 years?
##### in 100 years?

--

# Outreach

- Do you have texts in TEI? Talk to us!
- Your texts are not in TEI? Talk to us too, perhaps it is not so difficult to get a simple representation in TEI!

--

# Thanks for the attention!

<img src="./../../images/danke.png" width="600"/>

# Questions?

					</script>
				</section>
            </div>
        </div>

        <script src="../../lib/reveal/dist/reveal.js"></script>
        <script src="../../lib/reveal/plugin/zoom/zoom.js"></script>
        <script src="../../lib/reveal/plugin/notes/notes.js"></script>
        <script src="../../lib/reveal/plugin/search/search.js"></script>
        <script src="../../lib/reveal/plugin/markdown/markdown.js"></script>
        <script src="../../lib/reveal/plugin/highlight/highlight.js"></script>
        <script>
    
          // Also available as an ES module, see:
          // https://revealjs.com/initialization/
          Reveal.initialize({
            controls: true,
            progress: true,
            center: true,
            hash: true,
    
            // Learn about plugins: https://revealjs.com/plugins/
            plugins: [ RevealZoom, RevealNotes, RevealSearch, RevealMarkdown, RevealHighlight ]
          });
    
        </script>
    
      </body>
    </html>
    